# $Revision: 1.7 $, $Date: 2001/12/06 07:00:21 $
Summary:	Standard ML of New Jersey
Summary(pl):	Standard ML z New Jersey
Name:		smlnj
Version:	110.0.7
Release:	3
Epoch:		1
License:	BSD-like
Group:		Development/Languages
Group(de):	Entwicklung/Sprachen
Group(pl):	Programowanie/Jzyki
Source0:	%{name}-%{version}.tar.bz2
URL:		http://www.smlnj.org/
#URL:		http://cm.bell-labs.com/cm/cs/what/smlnj/
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Standard ML of New Jersey is most popular implementation of Standard
Meta Language (SML). It is compilant with SML'97 specification. SML is
functional language from ML family (like CAML).

%description -l pl
Standard ML z New Jersey jest najbardzieh popularn implementacj
jzyka SML (Standard Meta Language). Jest ona kompatybilna ze
specyfikacj SML'97. SML jest jzykiem funkcjonalnym z rodziny ML (jak
CAML).

%prep
%setup  -q
tar -xzf config.tar.Z

%build
CFLAGS="%{rpmcflags}" config/install.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/smlnj
cp -a bin lib src $RPM_BUILD_ROOT%{_libdir}/smlnj
chmod u+w -R $RPM_BUILD_ROOT%{_libdir}/smlnj
sed \
	-e "s|@BINDIR@|%{_libdir}/smlnj/bin|" \
	-e "s|@VERSION@|`cat config/version`|" \
	config/_run-sml > $RPM_BUILD_ROOT%{_libdir}/smlnj/bin/.run-sml
install -d $RPM_BUILD_ROOT%{_bindir}
for f in $RPM_BUILD_ROOT%{_libdir}/smlnj/lib/*cm; do
	sed -e "s|$PWD|%{_libdir}/smlnj|" $f > $f.new
	mv $f.new $f
done
# damn hacks..
rep=$(echo "$PWD" | sed -e 's|.|/|g' | \
      sed -e "s|$(echo "%{_libdir}/smlnj" | \
	      sed -e 's|.|.|g')\$|%{_libdir}/smlnj|")
sed -e "s|$PWD|$rep|g" bin/.heap/sml-cm*-linux > \
	$RPM_BUILD_ROOT/%{_libdir}/smlnj/bin/.heap/sml-cm*-linux

ln -sf %{_libdir}/smlnj/bin/{ml-{burg,lex,yacc},sml,sml-cm} \
       $RPM_BUILD_ROOT%{_bindir}

# documetation... gotta extract from src/ tree
rm -rf docs
mkdir docs
# CM
cp -f src/cm/Doc/manual.ps docs/cm.ps
mkdir docs/cm
cp -f src/cm/Doc/HTML/*.{html,css,gif} docs/cm
# CML
cp -a src/cml/doc/HTML docs/cml
cp -f src/cml/doc/Hardcopy/manual.ps docs/cml.ps
# ml-burg
cp -f src/ml-burg/doc/doc.ps docs/ml-burg.ps
# ml-lex
cd src/ml-lex
latex lexgen.tex
dvips lexgen.dvi -o ml-lex.ps
cd ../..
cp -f src/ml-lex/ml-lex.ps docs/
cp -f src/ml-lex/mlex_int.doc docs/ml-lex-int.txt
# ml-yacc
cd src/ml-yacc/doc
latex mlyacc.tex
dvips mlyacc.dvi -o ml-yacc.ps
cd ../../..
cp -f src/ml-yacc/doc/ml-yacc.ps docs/
cp -f src/ml-yacc/doc/tech.doc docs/ml-yacc-tech.txt
cp -a src/ml-yacc/examples docs/ml-yacc-examples
# smlnj-lib
cp -a src/smlnj-lib/Doc/HTML docs/smlnj-lib

# get rid of docs from src/ tree...
rm -rf $RPM_BUILD_ROOT%{_libdir}/smlnj/src/*/{Doc,doc}

cp -f 110* docs/
rm docs/110-README.html
gzip -9nf docs/110* docs/*.ps docs/*.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/smlnj
%dir %{_libdir}/smlnj/bin
%{_libdir}/smlnj/bin/.heap
%attr(755,root,root) %{_libdir}/smlnj/bin/.arch-n-opsys
%attr(755,root,root) %{_libdir}/smlnj/bin/.run-sml
%dir %{_libdir}/smlnj/bin/.run
%attr(755,root,root) %{_libdir}/smlnj/bin/.run/*
%{_libdir}/smlnj/bin/*
%{_libdir}/smlnj/lib
# some equivalent of make clean could be probably done here...
# however this source is needed to comiple some programs
%{_libdir}/smlnj/src

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smlnj.spec,v $
Revision 1.7  2001/12/06 07:00:21  kloczek
- cosmetics.

Revision 1.6  2001/12/06 00:13:28  blues
- another URL to this site given

Revision 1.5  2001/12/05 13:38:07  filon
- fixed typo in %%files
- release 2, STB

Revision 1.4  2001/11/12 15:35:22  qboosh
- adapterized

Revision 1.3  2001/11/09 16:16:48  malekith
- rel 2, stbr
- src is back (needed to compile some programs, need to figure out what
  source files exactly are needed)
- dirty hacks to change patchs hardcoded in heaps (and then used to call
  mllex/yacc by cm)
NOTE: possibly runtime and devel packages can be divided...

Revision 1.2  2001/10/22 11:04:44  malekith
done. stbr
